Index: src/isdn/Q931StateTE.c
===================================================================
--- src/isdn/Q931StateTE.c	(revision 495)
+++ src/isdn/Q931StateTE.c	(working copy)
@@ -735,19 +740,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -759,19 +764,19 @@
 *****************************************************************************/
 L3INT Q931ProcReleaseTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    Q931mes_Generic *pMes = (Q931mes_Generic *)&buf[Q931L4HeaderSpace];
-    L3INT state = Q931GetCallState(pTrunk, pMes->CRV);
-    L3INT ret = Q931E_NO_ERROR;
-    if(iFrom == 4) {
-		/* TODO Add proc here*/
-		ret = Q931Tx32(pTrunk,buf,pMes->Size);
+	L3INT callIndex;
+	Q931mes_Generic *pMes = (Q931mes_Generic *)&buf[Q931L4HeaderSpace];
+	L3INT state = Q931GetCallState(pTrunk, pMes->CRV);
+	L3INT ret = Q931E_NO_ERROR;
+	if(iFrom == 4) {
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	} else if(state == Q931_U0 && iFrom == 2) {
 		Q931Tx34(pTrunk,buf,pMes->Size);
-        ret = Q931ReleaseComplete(pTrunk, buf);
-    } else {
-        ret = Q931ProcUnexpectedMessage(pTrunk, buf, iFrom);
-    }
+		ret = Q931ReleaseComplete(pTrunk, buf);
+	} else {
+		ret = Q931ProcUnexpectedMessage(pTrunk, buf, iFrom);
+	}
 	if (pMes->CRV && iFrom == 2) {
 		/* Find the call using CRV */
 		if ((Q931FindCRV(pTrunk, pMes->CRV, &callIndex)) != Q931E_NO_ERROR)
@@ -789,16 +794,15 @@
 *****************************************************************************/
 L3INT Q931ProcReleaseCompleteTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Generic *pMes = (Q931mes_Generic *)&buf[Q931L4HeaderSpace];
 
-    if(iFrom == 2)
-    {
-        /* TODO Add proc here*/
+	if(iFrom == 2)
+	{
+		/* TODO Add proc here */
 		ret = Q931Tx34(pTrunk,buf,pMes->Size);
-    } else {
-
+	} else {
 		if (pMes->CRV) {
 			/* Find the call using CRV */
 			ret = Q931FindCRV(pTrunk, pMes->CRV, &callIndex);
@@ -818,8 +822,8 @@
 *****************************************************************************/
 L3INT Q931ProcRestartTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 
@@ -833,17 +837,17 @@
 		Q931StartTimer(pTrunk, callIndex, 303);
 	}
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 
 		if (pTrunk->autoRestartAck) {
 			Q931AckRestart(pTrunk, buf);
@@ -859,8 +863,8 @@
 *****************************************************************************/
 L3INT Q931ProcRestartAckTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	if (pMes->CRV) {
@@ -872,17 +876,17 @@
 		Q931StartTimer(pTrunk, callIndex, 303);
 	}
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -894,8 +898,8 @@
 *****************************************************************************/
 L3INT Q931ProcCongestionControlTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -903,19 +907,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -927,8 +931,8 @@
 *****************************************************************************/
 L3INT Q931ProcInformationTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -936,19 +940,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -960,8 +964,8 @@
 *****************************************************************************/
 L3INT Q931ProcNotifyTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -969,19 +973,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -993,8 +997,8 @@
 *****************************************************************************/
 L3INT Q931ProcStatusTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1002,19 +1006,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1026,8 +1030,8 @@
 *****************************************************************************/
 L3INT Q931ProcStatusEnquiryTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1035,19 +1039,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1059,8 +1063,8 @@
 *****************************************************************************/
 L3INT Q931ProcSegmentTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1068,19 +1072,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1096,8 +1100,8 @@
 *****************************************************************************/
 L3INT Q932ProcFacilityTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1105,19 +1109,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1129,8 +1133,8 @@
 *****************************************************************************/
 L3INT Q932ProcHoldTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1138,19 +1142,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1162,8 +1166,8 @@
 *****************************************************************************/
 L3INT Q932ProcHoldAckTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1171,19 +1175,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1195,8 +1199,8 @@
 *****************************************************************************/
 L3INT Q932ProcHoldRejectTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1204,19 +1208,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1228,8 +1232,8 @@
 *****************************************************************************/
 L3INT Q932ProcRegisterTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1237,19 +1241,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1261,8 +1265,8 @@
 *****************************************************************************/
 L3INT Q932ProcRetrieveTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1270,19 +1274,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1294,8 +1298,8 @@
 *****************************************************************************/
 L3INT Q932ProcRetrieveAckTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1303,19 +1307,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1327,8 +1331,8 @@
 *****************************************************************************/
 L3INT Q932ProcRetrieveRejectTE(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1336,19 +1340,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
